Bug 979551 - Disk produces regular clicking sound
Disk produces regular clicking sound
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-06-28 15:54 EDT by rimbotede
Modified: 2014-03-10 16:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 18:21:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Power saving options disabled - the issue went away (37.60 KB, image/png)
2013-06-28 15:54 EDT, rimbotede
no flags Details

  None (edit)
Description rimbotede 2013-06-28 15:54:34 EDT
Created attachment 766711 [details]
Power saving options disabled - the issue went away

Description of problem:
A 'click' is heard from my disk every few seconds along with (I'm not sure here) spinning up/down sound. The clicking coincides with in-game stutter in a game installed on the drive.

Version-Release number of selected component (if applicable):
although I observed the issue at least 3 months back.

How reproducible:

Steps to Reproduce:
1. Connect the disk
2. Listen to clicking sounds and spin up/down sound

Actual results:
Clicking sound occurs every few seconds, 10 maybe. Spin up/down sound is heard.

Expected results:
No frequent clicking sounds, no frequent spin up/down sounds.

Additional info:
The issue goes away after I disable the power saving options in Gnome Disks as shown in the attachment.
The same happens when the disk is connected as an external drive via USB (it's a Hitachi Touro external 2.5" HDD) as well as when the drive is taken out of the original enclosure and connected via Lenovo Thinkpad UltraBay (SATA).
Comment 1 rimbotede 2013-06-28 16:08:22 EDT
The disk:
Hitachi HTS547550A9E384 (JE3OA60A)
Comment 2 Josh Boyer 2013-07-01 11:16:04 EDT
As far as I can tell, this is just userspace putting the drive to sleep via the power management settings.  The clicking sound is likely the drive heads being parked.  There isn't a lot the kernel can do here.
Comment 3 rimbotede 2013-07-01 14:25:35 EDT
(In reply to Josh Boyer from comment #2)
> As far as I can tell, this is just userspace putting the drive to sleep via
> the power management settings.  The clicking sound is likely the drive heads
> being parked.  There isn't a lot the kernel can do here.
Likely it sure is. I think you're missing the fact that the disk spins up and down every 10 seconds or so. I'm not an expert on the matter but I think this could wear the disk out, or at least parts of it.

I've marked 'kernel' as the package in question because the official bug reporting guidelines say - If you don't know the exact package, report the bug against suspected package.

I expected the package to be changed, not the potentially harmful bug to be closed.
Comment 4 rimbotede 2013-08-23 11:08:33 EDT
Isn't it related to this issue discovered recently?
Comment 5 rimbotede 2013-11-30 06:26:12 EST
Recently I started using TLP for power saving. I've noticed that it reports the affected disk's APM level is some awkward value
          Model     = Hitachi HTS547550A9E384                 
          Firmware  = JE3OA60A
          APM Level = 163
          Status    = active/idle
          scheduler = cfq

According to http://linrunner.de/en/tlp/docs/tlp-configuration.html there's no such value available for the setting.

It also means that it doesn't honor the settings:
DISK_DEVICES="sda sdb"
Comment 6 Fedora End Of Life 2013-12-21 10:47:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 18:21:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 rimbotede 2014-03-10 16:50:39 EDT
I will no longer be able to test the issue on Fedora. The issue is well known and all has been said

Note You need to log in before you can comment on or make changes to this bug.